﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGridCustomAddNewDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;
        }

        private void XamGrid_RowExitedEditMode(object sender, Infragistics.Controls.Grids.EditingRowEventArgs e)
        {
            Row row = e.Row;

            if (row.Index == vm.Data.Count - 1) //Check for last row, as this will be the blank one
            {
                int count = row.Cells.Where(c => c.Value != null).Count(); //Make sure row has a value on exiting edit mode.

                if (count > 0)
                {
                    vm.Data.Add(new SampleData() { ID = null, Name = null, Number = null }); //Add new blank row.
                }
            }
        }
    }
}
